--------------------------------------
-- Additionneur nbit
--------------------------------------

-- Declaration des bibliotheques -----
library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;


-- Entit ----------------------------
entity DIFF_nB is
generic( NB_BITS : integer := 12);
port(	a: in std_logic_vector(NB_BITS-1 downto 0);
	b   : in std_logic_vector(NB_BITS-1 downto 0);
	Reset : in std_logic;
	Diff : out std_logic_vector(NB_BITS-1 downto 0)
	);
end DIFF_nB;  

ARCHITECTURE arch_DIFF_nB of DIFF_nB IS

BEGIN

process (a,b,Reset)
variable Diff_inter  : std_logic_vector ((NB_BITS-1) downto 0);
--variable inv_b  : std_logic_vector ((NB_BITS-1) downto 0);
--variable Cout_inter : std_logic;
begin
--Cout_inter := '0';



if Reset = '1'
	then for i in 0 to (NB_BITS-1) loop
		Diff_inter(i) := '0';
	     end loop;

else 
	--inv_b := b;
--	inv_b := not(b) + 1;
--	
--	if (inv_b(NB_BITS-1) = b(NB_BITS-1))then
--	inv_b := not(b);
--	end if;
	
	--for i in 0 to (NB_BITS-1) loop
		--Diff_inter(i) := a(i) XOR inv_b(i) XOR Cout_inter ;
		--Cout_inter := ((a(i) and inv_b(i)) or ((a(i) xor inv_b(i)) and Cout_inter));
	--end loop;
	
Diff_inter:=a-b;

	if a(NB_BITS-1) ='0' and b(NB_BITS-1) ='1'  and Diff_inter(NB_BITS-1) = '1'  -- Test Overflow nombres positifs
		then
			 Diff_inter(NB_BITS-1) := '0';
			 for i in 0 to (NB_BITS-2) loop
			Diff_inter(i) := '1';
			 end loop;




	elsif a(NB_BITS-1) ='1' and b(NB_BITS-1) ='0'  and Diff_inter(NB_BITS-1) = '0'  -- Test Overflow nombres ngatifs
		then Diff_inter(NB_BITS-1) := '1';
			 for i in 0 to (NB_BITS-2) loop
			Diff_inter(i) := '0';
			 end loop;

end if;
end if;



Diff <= Diff_inter ;
end process;



END arch_DIFF_nB ;





