library IEEE;
use IEEE.STD_LOGIC_1164.ALL;


entity FA is
	port (
				A, B, Cin  : in  STD_LOGIC; -- A + B + Cin
				S, Cout  : out STD_LOGIC --Sortie et Carrie
	);	
end FA;

architecture Behavioral of FA is

---Declaration composant

component HA
	port (
				A, B  : in  STD_LOGIC; -- A + B
				S, C  : out STD_LOGIC --Sortie et Carrie
			);	
end component;

---Signaux---

signal Sint, Cint : STD_LOGIC_VECTOR (1 downto 0);

begin

---Assignation---

	HA1: HA port map(A=>A      , B=>B  , S => Sint(0), C => Cint(0));
	HA2: HA port map(A=>Sint(0), B=>Cin, S => Sint(1), C => Cint(1));

	S <= Sint(1);
	Cout <= Cint(0) or Cint(1);

end Behavioral;

