library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_signed.all;
use work.ADD_nB;                

entity Troncateur_32_12 is
generic(NB_BITS : integer := 24);
port(	In_b: in std_logic_vector(NB_BITS - 1 downto 0);
	   Out_b: out std_logic_vector(11 downto 0));	   
end Troncateur_32_12;
    
architecture Troncateur_beh of Troncateur_32_12 is

begin 

	process(In_b)
	begin		
	   if In_b(NB_BITS-1) = '1' then
            Out_b <= '0' & In_b(NB_BITS-2 downto NB_BITS-12);
        else 
            Out_b <= '1' & In_b(NB_BITS-2 downto NB_BITS-12);
        end if;    
	end process;		

end Troncateur_beh;